com.mysql.cj.jdbc

## Interface ParameterBindings

    public interface ParameterBindings

Interface to allow PreparedStatement implementations to expose their parameter bindings to QueryInterceptors.

### Method Summary

All Methods Instance Methods Abstract Methods
`Array` `getArray(int parameterIndex)`
`InputStream` `getAsciiStream(int parameterIndex)`
`BigDecimal` `getBigDecimal(int parameterIndex)`
`BigInteger` `getBigInteger(int parameterIndex)`
`InputStream` `getBinaryStream(int parameterIndex)`
`Blob` `getBlob(int parameterIndex)`
`boolean` `getBoolean(int parameterIndex)`
`byte` `getByte(int parameterIndex)`
`byte[]` `getBytes(int parameterIndex)`
`Reader` `getCharacterStream(int parameterIndex)`
`Clob` `getClob(int parameterIndex)`
`Date` `getDate(int parameterIndex)`
`double` `getDouble(int parameterIndex)`
`float` `getFloat(int parameterIndex)`
`int` `getInt(int parameterIndex)`
`long` `getLong(int parameterIndex)`
`Reader` `getNCharacterStream(int parameterIndex)`
`Reader` `getNClob(int parameterIndex)`
`Object` `getObject(int parameterIndex)`
`Ref` `getRef(int parameterIndex)`
`short` `getShort(int parameterIndex)`
`String` `getString(int parameterIndex)`
`Time` `getTime(int parameterIndex)`
`Timestamp` `getTimestamp(int parameterIndex)`
`URL` `getURL(int parameterIndex)`
`boolean` `isNull(int parameterIndex)`

### Method Detail

#### getArray

    Array getArray(int parameterIndex)
            throws SQLException

Throws:
  `SQLException`

#### getAsciiStream

    InputStream getAsciiStream(int parameterIndex)
                        throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    BigDecimal getBigDecimal(int parameterIndex)
                      throws SQLException

Throws:
  `SQLException`

#### getBinaryStream

    InputStream getBinaryStream(int parameterIndex)
                         throws SQLException

Throws:
  `SQLException`

#### getBlob

    Blob getBlob(int parameterIndex)
          throws SQLException

Throws:
  `SQLException`

#### getBoolean

    boolean getBoolean(int parameterIndex)
                throws SQLException

Throws:
  `SQLException`

#### getByte

    byte getByte(int parameterIndex)
          throws SQLException

Throws:
  `SQLException`

#### getBytes

    byte[] getBytes(int parameterIndex)
             throws SQLException

Throws:
  `SQLException`

#### getCharacterStream

    Reader getCharacterStream(int parameterIndex)
                       throws SQLException

Throws:
  `SQLException`

#### getClob

    Clob getClob(int parameterIndex)
          throws SQLException

Throws:
  `SQLException`

#### getDate

    Date getDate(int parameterIndex)
          throws SQLException

Throws:
  `SQLException`

#### getDouble

    double getDouble(int parameterIndex)
              throws SQLException

Throws:
  `SQLException`

#### getFloat

    float getFloat(int parameterIndex)
            throws SQLException

Throws:
  `SQLException`

#### getInt

    int getInt(int parameterIndex)
        throws SQLException

Throws:
  `SQLException`

#### getBigInteger

    BigInteger getBigInteger(int parameterIndex)
                      throws SQLException

Throws:
  `SQLException`

#### getLong

    long getLong(int parameterIndex)
          throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    Reader getNCharacterStream(int parameterIndex)
                        throws SQLException

Throws:
  `SQLException`

#### getNClob

    Reader getNClob(int parameterIndex)
             throws SQLException

Throws:
  `SQLException`

#### getObject

    Object getObject(int parameterIndex)
              throws SQLException

Throws:
  `SQLException`

#### getRef

    Ref getRef(int parameterIndex)
        throws SQLException

Throws:
  `SQLException`

#### getShort

    short getShort(int parameterIndex)
            throws SQLException

Throws:
  `SQLException`

#### getString

    String getString(int parameterIndex)
              throws SQLException

Throws:
  `SQLException`

#### getTime

    Time getTime(int parameterIndex)
          throws SQLException

Throws:
  `SQLException`

#### getTimestamp

    Timestamp getTimestamp(int parameterIndex)
                    throws SQLException

Throws:
  `SQLException`

#### getURL

    URL getURL(int parameterIndex)
        throws SQLException

Throws:
  `SQLException`

#### isNull

    boolean isNull(int parameterIndex)
            throws SQLException

Throws:
  `SQLException`

Copyright © 2016, 2023, Oracle and/or its affiliates.